### Method

# AppStreamCompose Media set_memory_limit

since: 1.2.0

#### Declaration [src]

    void
    asc_media_set_memory_limit (
      AscMedia* media,
      guint32 limit_mib
    )

#### Description [src]

Limit the amount of memory the worker process may use. The limit is applied when the next worker process is spawned.

Available since: 1.2.0

#### Parameters

`limit_mib`

  Type: `guint32`

  Address space limit for the worker process in MiB, 0 for no limit.